Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class GetProfessionalAuthorisationsRequest

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.GetProfessionalAuthorisationsRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class GetProfessionalAuthorisationsRequest

extends Object
implements Serializable

Java class for GetProfessionalAuthorisationsRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetProfessionalAuthorisationsRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="qualificationList" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="inputDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="language" type="{urn:be:fgov:ehealth:samcivics:type:v1}LanguageType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetProfessionalAuthorisationsRequest()`

Method Summary
`org.joda.time.DateTime` | `getInputDate()` Gets the value of the inputDate property.
`LanguageType` | `getLanguage()` Gets the value of the language property.
`String` | `getQualificationList()` Gets the value of the qualificationList property.
`void` | `setInputDate(org.joda.time.DateTime value)` Sets the value of the inputDate property.
`void` | `setLanguage(LanguageType value)` Sets the value of the language property.
`void` | `setQualificationList(String value)` Sets the value of the qualificationList property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetProfessionalAuthorisationsRequest

    public GetProfessionalAuthorisationsRequest()

Method Detail

### getQualificationList

    public String getQualificationList()

  Gets the value of the qualificationList property.

  Returns:
    possible object is `String`

### setQualificationList

    public void setQualificationList(String value)

  Sets the value of the qualificationList property.

  Parameters:
    `value` - allowed object is `String`

### getInputDate

    public org.joda.time.DateTime getInputDate()

  Gets the value of the inputDate property.

  Returns:
    possible object is `String`

### setInputDate

    public void setInputDate(org.joda.time.DateTime value)

  Sets the value of the inputDate property.

  Parameters:
    `value` - allowed object is `String`

### getLanguage

    public LanguageType getLanguage()

  Gets the value of the language property.

  Returns:
    possible object is `LanguageType`

### setLanguage

    public void setLanguage(LanguageType value)

  Sets the value of the language property.

  Parameters:
    `value` - allowed object is `LanguageType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.